Levain LabsLevain Labs
API ReferenceAgents

Get Version Graph

Return a rendered recipe graph for a version.

GET
/api/v1/agents/{agent_id}/versions/{version}/graph

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
version*Version

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/agents/string/versions/0/graph"
{
  "nodes": [
    {
      "id": "string",
      "name": "string",
      "kind": "llm",
      "provider": "anthropic",
      "model": "string",
      "mcp_servers": [],
      "allowed_tools": [],
      "source_path": "string"
    }
  ],
  "edges": [
    {
      "source": "string",
      "target": "string",
      "condition": "string"
    }
  ],
  "entry_node": "string",
  "terminal_nodes": [
    "string"
  ]
}
{
  "code": "NOT_PROVISIONED",
  "message": "string",
  "details": "string"
}
{
  "code": "NOT_PROVISIONED",
  "message": "string",
  "details": "string"
}
{
  "code": "NOT_PROVISIONED",
  "message": "string",
  "details": "string"
}